Subject: Re: DSA support for Micrel KSZ8895

From: Pavel Machek <[email-masked]>
Date: Wed, 16 Aug 2017 20:32:06 +0200

Hi!

> > I've got hardware with KSZ8895, and I'd like to use switch ports as
> > separate ethernet cards. I believe that means DSA support.
> > 
> > And there are even patches available from microchip... unfortunately
> > they are in strange form and for v3.18.
> > 
> > http://www.microchip.com/SWLibraryWeb/product.aspx?product=KSZ8895%20Software%20Linux%203.18
> > 
> > Is there newer version of the driver available somewhere? Is the
> > driver good starting point, or should I start with something else?
> 
> Hi Pavel
> 
> Woojung is the expert here. His DSA driver for the 9477 is a nice
> clean driver.

Good.

> Have you compared the 8895 to the 9477. Are they similar? Could the
> existing 9477 be extended to support the 8895?

Register layouts are completely different, at the very least. I'm not
sure if functionality maps 1:1, that was not exactly easy to check.

I've ported the v3.18 driver to v4.4; it looks like v4.5 port will not
be easy. Plus question is if it works at all... time will tell.

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html